# ListBox

Adds supports for \[System.Windows.Forms.ListBox]\(<https://msdn.microsoft.com/en-us/library/system.windows.forms.listbox(v=vs.110).aspx>)

## Implementation  Details

> **Component Selector:** 'wm-listbox'
>
> **Kendo UI for jQuery Component:** [listbox](https://docs.telerik.com/kendo-ui/api/javascript/ui/listbox)

## Class inheritance

ListBoxComponent extends [ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md).

## PME Support

### Properties

| Property                   | Get/Set | Notify Changes | Details                                                                                                                                                                         |
| -------------------------- | ------- | -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| url : string               | Yes     | No             | Gets or sets the url to get new data from the server.                                                                                                                           |
| dataUrl : string           | No      | No             | Sets a new url if the component parent send as parameter.                                                                                                                       |
| DataTextField: string      | Yes     | No             | The field of the data item that provides the text content of the list items.                                                                                                    |
| DataValueField: string     | Yes     | No             | The field of the data item that provides the value of the widget.                                                                                                               |
| items: any\[]              | Yes     | No             | Gets a collection containing all items in the control.                                                                                                                          |
| enabled: boolean           | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md). |
| visible: boolean           | Yes     | No             | Inherited from ControlComponent [see ControlComponent](/webmap/general/frontend/documentation/winforms-angular-components/web-components/base-components/control-component.md). |
| draggable: boolean         | Get     | No             | returns true if the control items are draggable.                                                                                                                                |
| selectedIndices: number\[] | Yes     | Yes            | Returns a collection of selected indices.                                                                                                                                       |

### Methods

| Method             | Supported | Details                                            |
| ------------------ | --------- | -------------------------------------------------- |
| selectionMode      | Yes       | Returns the selection type.                        |
| getSelectedIndexes | Yes       | Returns the selected indices coming from an event. |

### Events

| Event  | Supported | Parameter       | Details                                                                     |
| ------ | --------- | --------------- | --------------------------------------------------------------------------- |
| change | Yes       | **$event**: any | Fires `SelectedValueChanged` Event when the ListBox selection has changed . |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/documentation/winforms-angular-components/web-components/kendoui-components/listbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
